Create Campaign Bids
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bids": [
{
"target": {
"id": "<string>"
},
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 123,
"height": 123
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "<string>",
"deviceType": "desktop"
}
}
]
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids"
payload = { "bids": [
{
"target": { "id": "<string>" },
"amount": "<unknown>",
"location": "Santiago",
"triggers": [],
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 123,
"height": 123
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "<string>",
"deviceType": "desktop"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bids: [
{
target: {id: '<string>'},
amount: '<unknown>',
location: 'Santiago',
triggers: [],
formatProperties: {
bannerAssets: [
{
dimensions: {width: 123, height: 123},
url: '<string>',
contentType: 'image/png',
size: 123,
assetId: 'asset_01j713j64yfsvtj4bs3ccpy5ca',
content: {},
jsonTemplateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
slotId: '<string>',
adFormat: '<string>',
deviceType: 'desktop'
}
}
]
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/bids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"bids": [
{
"bidId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target": {
"id": "<string>"
},
"isActive": true,
"triggers": [
{
"type": "<string>",
"value": {
"words": [
"<string>"
]
}
}
],
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<unknown>",
"location": "Santiago",
"bidsBehaviorData": "<string>",
"formatProperties": {
"bannerAssets": [
{
"dimensions": {
"width": 123,
"height": 123
},
"url": "<string>",
"contentType": "image/png",
"size": 123,
"assetId": "asset_01j713j64yfsvtj4bs3ccpy5ca",
"content": {},
"jsonTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"slotId": "<string>",
"adFormat": "<string>",
"deviceType": "desktop"
}
}
],
"next": {
"offset": 123,
"limit": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Create Campaign Bids
Endpoint to create a bid for a campaign.
POST
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
bids
Create Campaign Bids
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The ID of the campaign.
Query Parameters
Skip creating bids that already exist. Existing bids will not be updated and will not be returned in the response.
Body
application/json
An array of bids to be created.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Successful Response
The public response body of the bids endpoints.
Was this page helpful?
⌘I